=== debian/control ===
Source: ros-noetic-jsk-rviz-plugins
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-diagnostic-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-face-detector, ros-noetic-geometry-msgs, ros-noetic-image-geometry, ros-noetic-image-transport, ros-noetic-joint-state-publisher, ros-noetic-jsk-data, ros-noetic-jsk-footstep-msgs, ros-noetic-jsk-gui-msgs, ros-noetic-jsk-hark-msgs, ros-noetic-jsk-recognition-msgs, ros-noetic-jsk-recognition-utils, ros-noetic-jsk-topic-tools, ros-noetic-message-generation, ros-noetic-mk, ros-noetic-openni2-launch, ros-noetic-people-msgs, ros-noetic-pr2-description, ros-noetic-robot-state-publisher, ros-noetic-rosbuild, ros-noetic-rostest, ros-noetic-rviz, ros-noetic-std-msgs, ros-noetic-urdfdom-py, ros-noetic-view-controller-msgs
Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rviz_plugins/index.html
Standards-Version: 3.9.2

Package: ros-noetic-jsk-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-scipy, ros-noetic-cv-bridge, ros-noetic-diagnostic-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-image-geometry, ros-noetic-image-publisher, ros-noetic-jsk-footstep-msgs, ros-noetic-jsk-gui-msgs, ros-noetic-jsk-hark-msgs, ros-noetic-jsk-recognition-msgs, ros-noetic-jsk-recognition-utils, ros-noetic-jsk-topic-tools, ros-noetic-message-generation, ros-noetic-people-msgs, ros-noetic-posedetection-msgs, ros-noetic-rviz, ros-noetic-std-msgs, ros-noetic-urdfdom-py, ros-noetic-view-controller-msgs
Description: The jsk_rviz_plugins package
